#!/bin/bash
# getopt-simple.sh
# Auteur : Chris Morgan
# Utilisé dans le guide ABS avec la permission de l'auteur.
# Traducteur : Éric Deschamps

getopt_simple()
{
    echo "getopt_simple()"
    echo "Liste des paramètres '$*'"
    until [ -z "$1" ]
    do
      echo "Traitement du paramètre : '$1'"
      if [ ${1:0:1} = '/' ]
      then
          tmp=${1:1}                # Retrait du '/' au début de la chaîne
          parametre=${tmp%%=*}      # Extraction du nom
          valeur=${tmp##*=}         # Extraction de la valeur.
          echo "Paramètre : '$parametre', valeur : '$valeur'"
          eval $parametre=$valeur
      fi
      shift
    done
}

# Passage de l'ensemble des options a getopt_simple().
getopt_simple $*

echo "la valeur de test est '$test'"
echo "la valeur de test2 est '$test2'"

exit 0  # Voir aussi UseGetOpt.sh, version modifiée de ce script.

# ---
# bash getopt-simple.sh /test=valeur1 /test2=valeur2
# getopt_simple()
# Les paramètres sont '/test=valeur1 /test2=valeur2'
# Traitement du paramètre : '/test=valeur1'
# Paramètre : 'test', valeur : 'valeur1'
# Traitement du paramètre : '/test2=valeur2'
# Paramètre : 'test2', valeur: 'valeur2'
# la valeur de test est 'valeur1'
# la valeur de test2 est 'valeur2'
#
